changeset 738:e05fd24c4417

Updated the release script for Mac to use existing Qt installation by trying whether qmake exists. Also using macdeployqt to create a proper Mac application bundle containing all dependencies. git-svn-id: svn://svn.code.sf.net/p/universalindent/code/trunk@1015 59b1889a-e5ac-428c-b0c7-476e01d41282
author thomas_-_s <thomas_-_s@59b1889a-e5ac-428c-b0c7-476e01d41282>
date Sun, 19 Sep 2010 12:24:50 +0000
parents 9b37def27afe
children cb542a15cc6f
files buildRelease.sh
diffstat 1 files changed, 14 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/buildRelease.sh	Sun Sep 19 12:21:24 2010 +0000
+++ b/buildRelease.sh	Sun Sep 19 12:24:50 2010 +0000
@@ -50,7 +50,7 @@
 # Configuration
 # -------------
 #TODO: get version from source code file.
-version=1.1.0
+version=1.1.1
 doSVNUpdate=false
 
 
@@ -68,9 +68,12 @@
     QTDIR=/f/Qt/qt.4.4.3_gpl_static
 else
     if [ "$targetSystem" = "macx" ] && [ ! -n "$2" ]; then
-        echo "The QTDIR has not been set via command line parameter!"
-        exit 1
-        QTDIR=/Users/thomas/Documents/Informatik/qt-static-release
+        TEST=`qmake -v`
+        if [ "$?" -ne "0" ]; then
+            echo "The QTDIR has not been set via command line parameter!"
+            exit 1
+            QTDIR=/Users/thomas/Documents/Informatik/qt-static-release
+        fi
     fi
 fi
 
@@ -295,6 +298,13 @@
 echo "Done"
 echo ""
 
+if [ "$targetSystem" = "macx" ]; then
+    echo "Executing macdeployqt ./release/$targetName.app"
+    echo "-----------------------------------------------"
+    macdeployqt ./release/$targetName.app
+    echo "Done"
+    echo ""
+fi
 
 echo "Copying ${targetName}$ext to target dir"
 echo "--------------------------------------------"